#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofBackground(0, 0, 0);
	ofSetBackgroundAuto(false);
	//
	ofSetCircleResolution(100);
	ofEnableSmoothing();
	ofEnableAlphaBlending();
	//
	mouseMoving = false;
	counter = 0;
	ofSetFrameRate(200);
}

//--------------------------------------------------------------
void testApp::update(){
	
}

//--------------------------------------------------------------
void testApp::draw(){
	float defaultRadius = 20;
	float randomRadius = ofRandom(defaultRadius,defaultRadius*3);
	float randomRadius2 = ofRandom(defaultRadius,defaultRadius*3);
	if(mouseMoving){
		//inner circle
		ofFill();
		ofSetColor(127,0,255,10);
		ofCircle(mouseX,mouseY,defaultRadius);
		//this second inner circle adds a bit of smoothness
		ofNoFill();
		ofSetColor(127,0,255,10);
		ofCircle(mouseX,mouseY,defaultRadius);	
		//
		ofNoFill();
		ofSetColor(255,255,255,50);
		ofCircle(mouseX,mouseY,randomRadius);
		//
		ofNoFill();
		ofSetColor(0,0,0,50);
		ofCircle(mouseX,mouseY,randomRadius2);
	}
	ofSetColor(255,255,255,255);
	ofDrawBitmapString("Press 'P' to get an image file of the drawing; 'Backspace' to clear", 5, ofGetHeight()-5);
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if (key == OF_KEY_BACKSPACE) {
		ofBackground(0,0,0);
	}
	if (key == 'p') {
		ofSaveScreen("screenshot"+ofToString(counter)+".png");
		counter ++;
	}

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	mouseMoving = true;
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

